Skip to main content
`Ctrl`+`K`

# convert_quantities_to_units

ndcube.utils.misc.convert_quantities_to_units(coords, units)

  Converts a sequence of Quantities to units used in the WCS.

  Non-Quantity types in the sequence are allowed and ignored.

  Parameters:

    - coords (iterable of `astropy.units.Quantity` or `None`) – The coordinates to be converted.

    - units (iterable of `astropy.units.Unit` or `str`) – The units to which the coordinates should be converted.

  Returns:

    converted_coords – The coordinates converted to the units. Non-quantity types remain.

  Return type:

    iterable of `astropy.units.Quantity` or `None`